org.apache.tinkerpop.gremlin.structure

## Interface Graph.Features.VariableFeatures

- All Superinterfaces:
    Graph.Features.DataTypeFeatures, Graph.Features.FeatureSet
  Enclosing interface:
    Graph.Features

      public static interface Graph.Features.VariableFeatures
      extends Graph.Features.DataTypeFeatures

  Features for `Graph.Variables`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FEATURE_VARIABLES`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.DataTypeFeatures

      `FEATURE_BOOLEAN_ARRAY_VALUES, FEATURE_BOOLEAN_VALUES, FEATURE_BYTE_ARRAY_VALUES, FEATURE_BYTE_VALUES, FEATURE_DOUBLE_ARRAY_VALUES, FEATURE_DOUBLE_VALUES, FEATURE_FLOAT_ARRAY_VALUES, FEATURE_FLOAT_VALUES, FEATURE_INTEGER_ARRAY_VALUES, FEATURE_INTEGER_VALUES, FEATURE_LONG_ARRAY_VALUES, FEATURE_LONG_VALUES, FEATURE_MAP_VALUES, FEATURE_MIXED_LIST_VALUES, FEATURE_SERIALIZABLE_VALUES, FEATURE_STRING_ARRAY_VALUES, FEATURE_STRING_VALUES, FEATURE_UNIFORM_LIST_VALUES`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default boolean` | `supportsVariables()` If any of the features on `Graph.Features.VariableFeatures` is true then this value must be true.

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.DataTypeFeatures

      `supportsBooleanArrayValues, supportsBooleanValues, supportsByteArrayValues, supportsByteValues, supportsDoubleArrayValues, supportsDoubleValues, supportsFloatArrayValues, supportsFloatValues, supportsIntegerArrayValues, supportsIntegerValues, supportsLongArrayValues, supportsLongValues, supportsMapValues, supportsMixedListValues, supportsSerializableValues, supportsStringArrayValues, supportsStringValues, supportsUniformListValues`

- - ### Field Detail

    - #### FEATURE_VARIABLES

          static final String FEATURE_VARIABLES

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### supportsVariables

          default boolean supportsVariables()

      If any of the features on `Graph.Features.VariableFeatures` is true then this value must be true.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.